| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::ItemListerRecord Class Reference

## Public Member Functions
bool | operator== (const ItemListerRecord &record) const

## Public Attributes
int | albumID = -1
int | albumRootID = -1
DatabaseItem::Category | category = DatabaseItem::UndefinedCategory
QDateTime | creationDate
qlonglong | currentReferenceImage = -1
double | currentSimilarity = 0.0
QList< QVariant > | extraValues
qlonglong | fileSize = -1
QString | format
qlonglong | imageID = -1
QSize | imageSize
QDateTime | modificationDate
QString | name
int | rating = -1